%define apiver %(echo %version | cut -d. -f1-2)
Name:          postgis
Version:       2.2.2
Release:       1mamba
Summary:       PostGIS adds support for geographic objects to the PostgreSQL object-relational database
Group:         Applications/Databases
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           http://postgis.net
Source:        http://download.osgeo.org/postgis/source/postgis-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgdal-devel
BuildRequires: libgeos-devel
BuildRequires: libjson-c-devel
BuildRequires: libpostgresql-devel
BuildRequires: libproj-devel
BuildRequires: libtermcap-devel
BuildRequires: libxml2-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%description
PostGIS adds support for geographic objects to the PostgreSQL object-relational database. In effect, PostGIS "spatially enables" the PostgreSQL server, allowing it to be used as a backend spatial database for geographic information systems (GIS), much like ESRI's SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS "Simple Features Specification for SQL" and has been certified as compliant with the "Types and Functions" profile.

%prep
%setup -q

%build
%configure --with-geosconfig=%{_bindir}/geos-config
%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/raster2pgsql
%{_bindir}/pgsql2shp
%{_bindir}/shp2pgsql
%{_libdir}/liblwgeom-%{apiver}.so.*
%{_libdir}/liblwgeom.a
%{_libdir}/postgresql/address_standardizer-%{apiver}.so
%{_libdir}/postgresql/postgis_topology-%{apiver}.so
%{_libdir}/postgresql/postgis-%{apiver}.so
%{_libdir}/postgresql/rtpostgis-%{apiver}.so
%dir %{_datadir}/postgresql
%{_datadir}/postgresql/*
%{_datadir}/doc/postgresql/extension/README.address_standardizer
%doc COPYING CREDITS

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/liblwgeom.la
%{_libdir}/liblwgeom.so

%changelog
* Tue May 17 2016 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic version update by autodist

* Sat Jan 09 2016 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Tue Oct 27 2015 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Fri Sep 18 2015 Automatic Build System <autodist@mambasoft.it> 2.1.8-1mamba
- automatic version update by autodist

* Thu Apr 16 2015 Automatic Build System <autodist@mambasoft.it> 2.1.7-1mamba
- automatic update by autodist

* Sat Jan 10 2015 Automatic Build System <autodist@mambasoft.it> 2.1.5-1mamba
- automatic update by autodist

* Fri Sep 12 2014 Automatic Build System <autodist@mambasoft.it> 2.1.4-1mamba
- automatic version update by autodist

* Sun May 25 2014 Automatic Build System <autodist@mambasoft.it> 2.1.3-1mamba
- automatic version update by autodist

* Wed Apr 02 2014 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic version update by autodist

* Tue Nov 12 2013 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Fri Aug 23 2013 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Sat Jul 13 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.3-1mamba
- update to 2.0.3

* Tue Aug 21 2012 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- update to 2.0.1

* Wed Mar 07 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.5.3-1mamba
- package created by autospec
